## ros-kinetic-octomap-rviz-plugins 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(octomap_rviz_plugins)

find_package(catkin REQUIRED COMPONENTS octomap_msgs
                                        roscpp
                                        rviz
                                        
)

find_package(octomap REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread )

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)
set(QT_LIBRARIES Qt5::Widgets)

add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    CATKIN_DEPENDS octomap_msgs
                   roscpp
                   rviz
    DEPENDS octomap
)
                                        

include_directories(include 
                    ${catkin_INCLUDE_DIRS} 
                    ${Boost_INCLUDE_DIRS} 
                    ${OCTOMAP_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS}
                 ${Boost_LIBRARY_DIRS}
                 ${OCTOMAP_LIBRARY_DIRS}) 


QT5_WRAP_CPP(MOC_FILES
  include/octomap_rviz_plugins/occupancy_grid_display.h
  include/octomap_rviz_plugins/occupancy_map_display.h
  OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED -DBOOST_LEXICAL_CAST_INCLUDED 
)

set(SOURCE_FILES
  src/occupancy_grid_display.cpp
  src/occupancy_map_display.cpp
  ${MOC_FILES} 
)

add_library(${PROJECT_NAME} ${SOURCE_FILES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${Boost_LIBRARIES} ${OCTOMAP_LIBRARIES} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-octomap-rviz-plugins (0.2.0-0xenial) xenial; urgency=high

  * Fix: RViz uses Qt5 in kinetic
  * Contributors: Armin Hornung

 -- Armin Hornung <armin@hornung.io>  Sat, 09 Jul 2016 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.1.0-0xenial) xenial; urgency=high

  * Remove -ldefault_plugin from linker options, fixes #19 <https://github.com/OctoMap/octomap_rviz_plugins/issues/19>
  * Support for displaying ColorOcTree and OcTreeStamped, templated rviz plugins
  * Trim Z values in the octomap visualization
  * Add alpha property to OccupancyGridDisplay
  * add fix for qt moc BOOST_JOIN problem for osx yosemite build
  * Contributors: Armin Hornung, Felix Endres, Gautham Manoharan, Javier V. Gómez, Oleksandr Lavrushchenko, Ryohei Ueda

 -- Armin Hornung <armin@hornung.io>  Wed, 06 Jul 2016 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.5-0xenial) xenial; urgency=high

  * fix a crash when the destructor is called before onInitialize
  * Fix descriptions, limit octree depth range
  * Porting fixes from groovy branch (QT4_WRAP macro, OCTOMAP_INCLUDE_DIRS)

 -- Armin Hornung <armin@hornung.io>  Thu, 05 Sep 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.4-0xenial) xenial; urgency=high

  * Safer checking for octree conversion from stream
  * Create octomap using AbstracOcTree (Fix issue #1)

 -- Armin Hornung <armin@hornung.io>  Thu, 04 Jul 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.3-0xenial) xenial; urgency=high

  * correct CMakeLists. octomap_INCLUDE_DIRS(or LIB..) to OCTOMAP_INCLUDE_DIRS

 -- Armin Hornung <armin@hornung.io>  Tue, 25 Jun 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.2-0xenial) xenial; urgency=high

  * 0.0.1 -> 0.0.2
  * adding OPTIONS -DBOOST_TT_HAS_OPERATOR_HPP_INCLUDED option to make QT4_WRAP macro happy

 -- Armin Hornung <armin@hornung.io>  Tue, 07 May 2013 22:00:00 -0000

ros-kinetic-octomap-rviz-plugins (0.0.1-0xenial) xenial; urgency=high

  * removing dependency to octomap_ros package + clean-up
  * removing rosbuild Makefile
  * major revision
  * adjusting to recent rviz api changes
  * removed pcl dependancy
  * fixed threading issue
  * working version with ogre point cloud structures and colored boxes
  * added max depth filter

 -- Armin Hornung <armin@hornung.io>  Fri, 03 May 2013 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-octomap-rviz-plugins
Section: misc
Priority: extra
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-octomap, ros-kinetic-octomap-msgs, ros-kinetic-roscpp, ros-kinetic-rviz
Homepage: http://ros.org/wiki/octomap_rviz_plugins
Standards-Version: 3.9.2

Package: ros-kinetic-octomap-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-octomap, ros-kinetic-octomap-msgs, ros-kinetic-roscpp, ros-kinetic-rviz
Description: A set of plugins for displaying occupancy information decoded from binary octomap messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-octomap-rviz-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
